#!/bin/csh
#set verbose echo

set an_debut=2000
set an_fin=2000
set mois_debut=1
set mois_fin=2

# grillefile : chemin entier pour fichier grilles_gcm.nc
set grillefile=/my/path/to/grilles_gcm.nc

# outdir : repertoire qui sera cree pour les nouveaux fichiers
set outdir=OUT_ERAI
#########################################################
if ( ! -d $outdir ) then
    mkdir $outdir
endif
cd $outdir
#######################
# Boucle sur les annees
#######################
set an=$an_debut
set imois=$mois_debut
while ( $an <= $an_fin )
    #########################################################
    #  gestion du nombre de jours pour les annees bisextiles.
    ##########################################################

    set tt=`echo $an | awk ' { print $1 /4. - int ( $1 / 4 ) } '`
    echo tt=$tt

    if ( $tt == 0 ) then
	set nd=( 31 29 31 30 31 30 31 31 30 31 30 31)
    else
	set nd=( 31 28 31 30 31 30 31 31 30 31 30 31)
    endif

    #####################
    # Boucle sur les mois
    ######################

    while ( $imois <= $mois_fin )

	if ( $imois <= 9 ) then
	    set mois=0$imois
	else
	    set mois=$imois
	endif

	set netat=`expr $nd[$imois] \* 4`
	echo netat=$netat

	echo ../era2gcm.x $mois $an 1 $netat $grillefile
	../era2gcm.x $mois $an 1 $netat $grillefile

	set imois=`expr $imois + 1`
	
    end

    set an=`expr $an + 1`
    set imois=1

end

#####################################################
# Ajout du premier etat du mois suvivant a la fin de 
# chaque mois (si le mois suivant exist)
#####################################################
cd ..
./add_step.x $an_debut $an_fin $mois_debut $mois_fin _ERAI_ $outdir
